Speed and call quality testMy IP addressIP subnet calculatorDNS reportWhoIs lookupRemote support

Internet and network

Speed and call quality testTest delay, jitter and speed, with a focus on phone calls.My IP addressYour public IPv4 and IPv6 addresses, provider and address range.WhoIs lookupWho owns a domain or IP address, when it expires, and its DNS.DNS reportEvery DNS record for a domain, with email setup checked.IP subnet calculatorWork out a network's range, mask and hosts, and split it into subnets.

Computers and devices

Update checkIs this computer, phone and browser up to date? With links to update.Camera and mic testCheck your webcam and microphone before a call.Test print pagePrint an A4 page to check a printer: edges, text, line art and colours.

Make and print

Clean textStrip hidden characters, smart quotes and odd spaces from pasted text.QR code makerMake a QR code for a link, contact or message. Nothing leaves your browser.Wi-Fi QR posterPrint an A4 poster that lets guests join your Wi-Fi by scanning.

Surftec support

Remote supportLet a Surftec engineer connect to your computer to help you.All workingA full-screen confirmation that everything is up and running.

Surftec

Surftec websiteServices, news and how to contact Surftec
Cloud Tools
Guest
GuestNot signed in

Surftec customers will be recognised automatically when they use these tools from their office network.

Customer sign-in is coming soon.

IP subnet calculator

Type an address with its prefix or mask to see the network, its usable range and masks. Split it into smaller subnets, or look up any prefix in the reference tables.

Network79.0.0.0/9
Usable hosts8,388,606
Subnet mask255.128.0.0
Addresses8,388,608
Network address
79.0.0.0
Broadcast address
79.127.255.255
First usable
79.0.0.1
Last usable
79.127.255.254
Usable hosts
8,388,606 (8,388,608 less the network and broadcast addresses)
Subnet mask
255.128.0.0
Wildcard mask
0.127.255.255 (Cisco ACLs, OSPF)
Prefix length
/9
Type
Public public
Old class
A (default /8)
As numbers
Hex 4F000000 · Integer 1325400064 to 1333788671
Reverse DNS zones
0.79.in-addr.arpa
1.79.in-addr.arpa
2.79.in-addr.arpa
3.79.in-addr.arpa
4.79.in-addr.arpa
5.79.in-addr.arpa
6.79.in-addr.arpa
7.79.in-addr.arpa
8.79.in-addr.arpa
9.79.in-addr.arpa
10.79.in-addr.arpa
11.79.in-addr.arpa
12.79.in-addr.arpa
13.79.in-addr.arpa
14.79.in-addr.arpa
15.79.in-addr.arpa
and 112 more
/9 is not on a 8-bit boundary, so it takes 128 /16 zones.
Binary
Binary view
Binary (network bits bold, host bits grey)Dotted
Address01001111.00000000.00000000.0000000079.0.0.0
Subnet mask11111111.10000000.00000000.00000000255.128.0.0
Network01001111.00000000.00000000.0000000079.0.0.0
Broadcast01001111.01111111.11111111.1111111179.127.255.255
Split into smaller subnets/19

79.0.0.0/9 makes 1,024 subnets of /19; the first 256 are listed.

Subnets
#SubnetUsable hosts rangeBroadcastHosts
179.0.0.0/1979.0.0.1 to 79.0.31.25479.0.31.2558,190
279.0.32.0/1979.0.32.1 to 79.0.63.25479.0.63.2558,190
379.0.64.0/1979.0.64.1 to 79.0.95.25479.0.95.2558,190
479.0.96.0/1979.0.96.1 to 79.0.127.25479.0.127.2558,190
579.0.128.0/1979.0.128.1 to 79.0.159.25479.0.159.2558,190
679.0.160.0/1979.0.160.1 to 79.0.191.25479.0.191.2558,190
779.0.192.0/1979.0.192.1 to 79.0.223.25479.0.223.2558,190
879.0.224.0/1979.0.224.1 to 79.0.255.25479.0.255.2558,190
979.1.0.0/1979.1.0.1 to 79.1.31.25479.1.31.2558,190
1079.1.32.0/1979.1.32.1 to 79.1.63.25479.1.63.2558,190
1179.1.64.0/1979.1.64.1 to 79.1.95.25479.1.95.2558,190
1279.1.96.0/1979.1.96.1 to 79.1.127.25479.1.127.2558,190
1379.1.128.0/1979.1.128.1 to 79.1.159.25479.1.159.2558,190
1479.1.160.0/1979.1.160.1 to 79.1.191.25479.1.191.2558,190
1579.1.192.0/1979.1.192.1 to 79.1.223.25479.1.223.2558,190
1679.1.224.0/1979.1.224.1 to 79.1.255.25479.1.255.2558,190
1779.2.0.0/1979.2.0.1 to 79.2.31.25479.2.31.2558,190
1879.2.32.0/1979.2.32.1 to 79.2.63.25479.2.63.2558,190
1979.2.64.0/1979.2.64.1 to 79.2.95.25479.2.95.2558,190
2079.2.96.0/1979.2.96.1 to 79.2.127.25479.2.127.2558,190
2179.2.128.0/1979.2.128.1 to 79.2.159.25479.2.159.2558,190
2279.2.160.0/1979.2.160.1 to 79.2.191.25479.2.191.2558,190
2379.2.192.0/1979.2.192.1 to 79.2.223.25479.2.223.2558,190
2479.2.224.0/1979.2.224.1 to 79.2.255.25479.2.255.2558,190
2579.3.0.0/1979.3.0.1 to 79.3.31.25479.3.31.2558,190
2679.3.32.0/1979.3.32.1 to 79.3.63.25479.3.63.2558,190
2779.3.64.0/1979.3.64.1 to 79.3.95.25479.3.95.2558,190
2879.3.96.0/1979.3.96.1 to 79.3.127.25479.3.127.2558,190
2979.3.128.0/1979.3.128.1 to 79.3.159.25479.3.159.2558,190
3079.3.160.0/1979.3.160.1 to 79.3.191.25479.3.191.2558,190
3179.3.192.0/1979.3.192.1 to 79.3.223.25479.3.223.2558,190
3279.3.224.0/1979.3.224.1 to 79.3.255.25479.3.255.2558,190
3379.4.0.0/1979.4.0.1 to 79.4.31.25479.4.31.2558,190
3479.4.32.0/1979.4.32.1 to 79.4.63.25479.4.63.2558,190
3579.4.64.0/1979.4.64.1 to 79.4.95.25479.4.95.2558,190
3679.4.96.0/1979.4.96.1 to 79.4.127.25479.4.127.2558,190
3779.4.128.0/1979.4.128.1 to 79.4.159.25479.4.159.2558,190
3879.4.160.0/1979.4.160.1 to 79.4.191.25479.4.191.2558,190
3979.4.192.0/1979.4.192.1 to 79.4.223.25479.4.223.2558,190
4079.4.224.0/1979.4.224.1 to 79.4.255.25479.4.255.2558,190
4179.5.0.0/1979.5.0.1 to 79.5.31.25479.5.31.2558,190
4279.5.32.0/1979.5.32.1 to 79.5.63.25479.5.63.2558,190
4379.5.64.0/1979.5.64.1 to 79.5.95.25479.5.95.2558,190
4479.5.96.0/1979.5.96.1 to 79.5.127.25479.5.127.2558,190
4579.5.128.0/1979.5.128.1 to 79.5.159.25479.5.159.2558,190
4679.5.160.0/1979.5.160.1 to 79.5.191.25479.5.191.2558,190
4779.5.192.0/1979.5.192.1 to 79.5.223.25479.5.223.2558,190
4879.5.224.0/1979.5.224.1 to 79.5.255.25479.5.255.2558,190
4979.6.0.0/1979.6.0.1 to 79.6.31.25479.6.31.2558,190
5079.6.32.0/1979.6.32.1 to 79.6.63.25479.6.63.2558,190
5179.6.64.0/1979.6.64.1 to 79.6.95.25479.6.95.2558,190
5279.6.96.0/1979.6.96.1 to 79.6.127.25479.6.127.2558,190
5379.6.128.0/1979.6.128.1 to 79.6.159.25479.6.159.2558,190
5479.6.160.0/1979.6.160.1 to 79.6.191.25479.6.191.2558,190
5579.6.192.0/1979.6.192.1 to 79.6.223.25479.6.223.2558,190
5679.6.224.0/1979.6.224.1 to 79.6.255.25479.6.255.2558,190
5779.7.0.0/1979.7.0.1 to 79.7.31.25479.7.31.2558,190
5879.7.32.0/1979.7.32.1 to 79.7.63.25479.7.63.2558,190
5979.7.64.0/1979.7.64.1 to 79.7.95.25479.7.95.2558,190
6079.7.96.0/1979.7.96.1 to 79.7.127.25479.7.127.2558,190
6179.7.128.0/1979.7.128.1 to 79.7.159.25479.7.159.2558,190
6279.7.160.0/1979.7.160.1 to 79.7.191.25479.7.191.2558,190
6379.7.192.0/1979.7.192.1 to 79.7.223.25479.7.223.2558,190
6479.7.224.0/1979.7.224.1 to 79.7.255.25479.7.255.2558,190
6579.8.0.0/1979.8.0.1 to 79.8.31.25479.8.31.2558,190
6679.8.32.0/1979.8.32.1 to 79.8.63.25479.8.63.2558,190
6779.8.64.0/1979.8.64.1 to 79.8.95.25479.8.95.2558,190
6879.8.96.0/1979.8.96.1 to 79.8.127.25479.8.127.2558,190
6979.8.128.0/1979.8.128.1 to 79.8.159.25479.8.159.2558,190
7079.8.160.0/1979.8.160.1 to 79.8.191.25479.8.191.2558,190
7179.8.192.0/1979.8.192.1 to 79.8.223.25479.8.223.2558,190
7279.8.224.0/1979.8.224.1 to 79.8.255.25479.8.255.2558,190
7379.9.0.0/1979.9.0.1 to 79.9.31.25479.9.31.2558,190
7479.9.32.0/1979.9.32.1 to 79.9.63.25479.9.63.2558,190
7579.9.64.0/1979.9.64.1 to 79.9.95.25479.9.95.2558,190
7679.9.96.0/1979.9.96.1 to 79.9.127.25479.9.127.2558,190
7779.9.128.0/1979.9.128.1 to 79.9.159.25479.9.159.2558,190
7879.9.160.0/1979.9.160.1 to 79.9.191.25479.9.191.2558,190
7979.9.192.0/1979.9.192.1 to 79.9.223.25479.9.223.2558,190
8079.9.224.0/1979.9.224.1 to 79.9.255.25479.9.255.2558,190
8179.10.0.0/1979.10.0.1 to 79.10.31.25479.10.31.2558,190
8279.10.32.0/1979.10.32.1 to 79.10.63.25479.10.63.2558,190
8379.10.64.0/1979.10.64.1 to 79.10.95.25479.10.95.2558,190
8479.10.96.0/1979.10.96.1 to 79.10.127.25479.10.127.2558,190
8579.10.128.0/1979.10.128.1 to 79.10.159.25479.10.159.2558,190
8679.10.160.0/1979.10.160.1 to 79.10.191.25479.10.191.2558,190
8779.10.192.0/1979.10.192.1 to 79.10.223.25479.10.223.2558,190
8879.10.224.0/1979.10.224.1 to 79.10.255.25479.10.255.2558,190
8979.11.0.0/1979.11.0.1 to 79.11.31.25479.11.31.2558,190
9079.11.32.0/1979.11.32.1 to 79.11.63.25479.11.63.2558,190
9179.11.64.0/1979.11.64.1 to 79.11.95.25479.11.95.2558,190
9279.11.96.0/1979.11.96.1 to 79.11.127.25479.11.127.2558,190
9379.11.128.0/1979.11.128.1 to 79.11.159.25479.11.159.2558,190
9479.11.160.0/1979.11.160.1 to 79.11.191.25479.11.191.2558,190
9579.11.192.0/1979.11.192.1 to 79.11.223.25479.11.223.2558,190
9679.11.224.0/1979.11.224.1 to 79.11.255.25479.11.255.2558,190
9779.12.0.0/1979.12.0.1 to 79.12.31.25479.12.31.2558,190
9879.12.32.0/1979.12.32.1 to 79.12.63.25479.12.63.2558,190
9979.12.64.0/1979.12.64.1 to 79.12.95.25479.12.95.2558,190
10079.12.96.0/1979.12.96.1 to 79.12.127.25479.12.127.2558,190
10179.12.128.0/1979.12.128.1 to 79.12.159.25479.12.159.2558,190
10279.12.160.0/1979.12.160.1 to 79.12.191.25479.12.191.2558,190
10379.12.192.0/1979.12.192.1 to 79.12.223.25479.12.223.2558,190
10479.12.224.0/1979.12.224.1 to 79.12.255.25479.12.255.2558,190
10579.13.0.0/1979.13.0.1 to 79.13.31.25479.13.31.2558,190
10679.13.32.0/1979.13.32.1 to 79.13.63.25479.13.63.2558,190
10779.13.64.0/1979.13.64.1 to 79.13.95.25479.13.95.2558,190
10879.13.96.0/1979.13.96.1 to 79.13.127.25479.13.127.2558,190
10979.13.128.0/1979.13.128.1 to 79.13.159.25479.13.159.2558,190
11079.13.160.0/1979.13.160.1 to 79.13.191.25479.13.191.2558,190
11179.13.192.0/1979.13.192.1 to 79.13.223.25479.13.223.2558,190
11279.13.224.0/1979.13.224.1 to 79.13.255.25479.13.255.2558,190
11379.14.0.0/1979.14.0.1 to 79.14.31.25479.14.31.2558,190
11479.14.32.0/1979.14.32.1 to 79.14.63.25479.14.63.2558,190
11579.14.64.0/1979.14.64.1 to 79.14.95.25479.14.95.2558,190
11679.14.96.0/1979.14.96.1 to 79.14.127.25479.14.127.2558,190
11779.14.128.0/1979.14.128.1 to 79.14.159.25479.14.159.2558,190
11879.14.160.0/1979.14.160.1 to 79.14.191.25479.14.191.2558,190
11979.14.192.0/1979.14.192.1 to 79.14.223.25479.14.223.2558,190
12079.14.224.0/1979.14.224.1 to 79.14.255.25479.14.255.2558,190
12179.15.0.0/1979.15.0.1 to 79.15.31.25479.15.31.2558,190
12279.15.32.0/1979.15.32.1 to 79.15.63.25479.15.63.2558,190
12379.15.64.0/1979.15.64.1 to 79.15.95.25479.15.95.2558,190
12479.15.96.0/1979.15.96.1 to 79.15.127.25479.15.127.2558,190
12579.15.128.0/1979.15.128.1 to 79.15.159.25479.15.159.2558,190
12679.15.160.0/1979.15.160.1 to 79.15.191.25479.15.191.2558,190
12779.15.192.0/1979.15.192.1 to 79.15.223.25479.15.223.2558,190
12879.15.224.0/1979.15.224.1 to 79.15.255.25479.15.255.2558,190
12979.16.0.0/1979.16.0.1 to 79.16.31.25479.16.31.2558,190
13079.16.32.0/1979.16.32.1 to 79.16.63.25479.16.63.2558,190
13179.16.64.0/1979.16.64.1 to 79.16.95.25479.16.95.2558,190
13279.16.96.0/1979.16.96.1 to 79.16.127.25479.16.127.2558,190
13379.16.128.0/1979.16.128.1 to 79.16.159.25479.16.159.2558,190
13479.16.160.0/1979.16.160.1 to 79.16.191.25479.16.191.2558,190
13579.16.192.0/1979.16.192.1 to 79.16.223.25479.16.223.2558,190
13679.16.224.0/1979.16.224.1 to 79.16.255.25479.16.255.2558,190
13779.17.0.0/1979.17.0.1 to 79.17.31.25479.17.31.2558,190
13879.17.32.0/1979.17.32.1 to 79.17.63.25479.17.63.2558,190
13979.17.64.0/1979.17.64.1 to 79.17.95.25479.17.95.2558,190
14079.17.96.0/1979.17.96.1 to 79.17.127.25479.17.127.2558,190
14179.17.128.0/1979.17.128.1 to 79.17.159.25479.17.159.2558,190
14279.17.160.0/1979.17.160.1 to 79.17.191.25479.17.191.2558,190
14379.17.192.0/1979.17.192.1 to 79.17.223.25479.17.223.2558,190
14479.17.224.0/1979.17.224.1 to 79.17.255.25479.17.255.2558,190
14579.18.0.0/1979.18.0.1 to 79.18.31.25479.18.31.2558,190
14679.18.32.0/1979.18.32.1 to 79.18.63.25479.18.63.2558,190
14779.18.64.0/1979.18.64.1 to 79.18.95.25479.18.95.2558,190
14879.18.96.0/1979.18.96.1 to 79.18.127.25479.18.127.2558,190
14979.18.128.0/1979.18.128.1 to 79.18.159.25479.18.159.2558,190
15079.18.160.0/1979.18.160.1 to 79.18.191.25479.18.191.2558,190
15179.18.192.0/1979.18.192.1 to 79.18.223.25479.18.223.2558,190
15279.18.224.0/1979.18.224.1 to 79.18.255.25479.18.255.2558,190
15379.19.0.0/1979.19.0.1 to 79.19.31.25479.19.31.2558,190
15479.19.32.0/1979.19.32.1 to 79.19.63.25479.19.63.2558,190
15579.19.64.0/1979.19.64.1 to 79.19.95.25479.19.95.2558,190
15679.19.96.0/1979.19.96.1 to 79.19.127.25479.19.127.2558,190
15779.19.128.0/1979.19.128.1 to 79.19.159.25479.19.159.2558,190
15879.19.160.0/1979.19.160.1 to 79.19.191.25479.19.191.2558,190
15979.19.192.0/1979.19.192.1 to 79.19.223.25479.19.223.2558,190
16079.19.224.0/1979.19.224.1 to 79.19.255.25479.19.255.2558,190
16179.20.0.0/1979.20.0.1 to 79.20.31.25479.20.31.2558,190
16279.20.32.0/1979.20.32.1 to 79.20.63.25479.20.63.2558,190
16379.20.64.0/1979.20.64.1 to 79.20.95.25479.20.95.2558,190
16479.20.96.0/1979.20.96.1 to 79.20.127.25479.20.127.2558,190
16579.20.128.0/1979.20.128.1 to 79.20.159.25479.20.159.2558,190
16679.20.160.0/1979.20.160.1 to 79.20.191.25479.20.191.2558,190
16779.20.192.0/1979.20.192.1 to 79.20.223.25479.20.223.2558,190
16879.20.224.0/1979.20.224.1 to 79.20.255.25479.20.255.2558,190
16979.21.0.0/1979.21.0.1 to 79.21.31.25479.21.31.2558,190
17079.21.32.0/1979.21.32.1 to 79.21.63.25479.21.63.2558,190
17179.21.64.0/1979.21.64.1 to 79.21.95.25479.21.95.2558,190
17279.21.96.0/1979.21.96.1 to 79.21.127.25479.21.127.2558,190
17379.21.128.0/1979.21.128.1 to 79.21.159.25479.21.159.2558,190
17479.21.160.0/1979.21.160.1 to 79.21.191.25479.21.191.2558,190
17579.21.192.0/1979.21.192.1 to 79.21.223.25479.21.223.2558,190
17679.21.224.0/1979.21.224.1 to 79.21.255.25479.21.255.2558,190
17779.22.0.0/1979.22.0.1 to 79.22.31.25479.22.31.2558,190
17879.22.32.0/1979.22.32.1 to 79.22.63.25479.22.63.2558,190
17979.22.64.0/1979.22.64.1 to 79.22.95.25479.22.95.2558,190
18079.22.96.0/1979.22.96.1 to 79.22.127.25479.22.127.2558,190
18179.22.128.0/1979.22.128.1 to 79.22.159.25479.22.159.2558,190
18279.22.160.0/1979.22.160.1 to 79.22.191.25479.22.191.2558,190
18379.22.192.0/1979.22.192.1 to 79.22.223.25479.22.223.2558,190
18479.22.224.0/1979.22.224.1 to 79.22.255.25479.22.255.2558,190
18579.23.0.0/1979.23.0.1 to 79.23.31.25479.23.31.2558,190
18679.23.32.0/1979.23.32.1 to 79.23.63.25479.23.63.2558,190
18779.23.64.0/1979.23.64.1 to 79.23.95.25479.23.95.2558,190
18879.23.96.0/1979.23.96.1 to 79.23.127.25479.23.127.2558,190
18979.23.128.0/1979.23.128.1 to 79.23.159.25479.23.159.2558,190
19079.23.160.0/1979.23.160.1 to 79.23.191.25479.23.191.2558,190
19179.23.192.0/1979.23.192.1 to 79.23.223.25479.23.223.2558,190
19279.23.224.0/1979.23.224.1 to 79.23.255.25479.23.255.2558,190
19379.24.0.0/1979.24.0.1 to 79.24.31.25479.24.31.2558,190
19479.24.32.0/1979.24.32.1 to 79.24.63.25479.24.63.2558,190
19579.24.64.0/1979.24.64.1 to 79.24.95.25479.24.95.2558,190
19679.24.96.0/1979.24.96.1 to 79.24.127.25479.24.127.2558,190
19779.24.128.0/1979.24.128.1 to 79.24.159.25479.24.159.2558,190
19879.24.160.0/1979.24.160.1 to 79.24.191.25479.24.191.2558,190
19979.24.192.0/1979.24.192.1 to 79.24.223.25479.24.223.2558,190
20079.24.224.0/1979.24.224.1 to 79.24.255.25479.24.255.2558,190
20179.25.0.0/1979.25.0.1 to 79.25.31.25479.25.31.2558,190
20279.25.32.0/1979.25.32.1 to 79.25.63.25479.25.63.2558,190
20379.25.64.0/1979.25.64.1 to 79.25.95.25479.25.95.2558,190
20479.25.96.0/1979.25.96.1 to 79.25.127.25479.25.127.2558,190
20579.25.128.0/1979.25.128.1 to 79.25.159.25479.25.159.2558,190
20679.25.160.0/1979.25.160.1 to 79.25.191.25479.25.191.2558,190
20779.25.192.0/1979.25.192.1 to 79.25.223.25479.25.223.2558,190
20879.25.224.0/1979.25.224.1 to 79.25.255.25479.25.255.2558,190
20979.26.0.0/1979.26.0.1 to 79.26.31.25479.26.31.2558,190
21079.26.32.0/1979.26.32.1 to 79.26.63.25479.26.63.2558,190
21179.26.64.0/1979.26.64.1 to 79.26.95.25479.26.95.2558,190
21279.26.96.0/1979.26.96.1 to 79.26.127.25479.26.127.2558,190
21379.26.128.0/1979.26.128.1 to 79.26.159.25479.26.159.2558,190
21479.26.160.0/1979.26.160.1 to 79.26.191.25479.26.191.2558,190
21579.26.192.0/1979.26.192.1 to 79.26.223.25479.26.223.2558,190
21679.26.224.0/1979.26.224.1 to 79.26.255.25479.26.255.2558,190
21779.27.0.0/1979.27.0.1 to 79.27.31.25479.27.31.2558,190
21879.27.32.0/1979.27.32.1 to 79.27.63.25479.27.63.2558,190
21979.27.64.0/1979.27.64.1 to 79.27.95.25479.27.95.2558,190
22079.27.96.0/1979.27.96.1 to 79.27.127.25479.27.127.2558,190
22179.27.128.0/1979.27.128.1 to 79.27.159.25479.27.159.2558,190
22279.27.160.0/1979.27.160.1 to 79.27.191.25479.27.191.2558,190
22379.27.192.0/1979.27.192.1 to 79.27.223.25479.27.223.2558,190
22479.27.224.0/1979.27.224.1 to 79.27.255.25479.27.255.2558,190
22579.28.0.0/1979.28.0.1 to 79.28.31.25479.28.31.2558,190
22679.28.32.0/1979.28.32.1 to 79.28.63.25479.28.63.2558,190
22779.28.64.0/1979.28.64.1 to 79.28.95.25479.28.95.2558,190
22879.28.96.0/1979.28.96.1 to 79.28.127.25479.28.127.2558,190
22979.28.128.0/1979.28.128.1 to 79.28.159.25479.28.159.2558,190
23079.28.160.0/1979.28.160.1 to 79.28.191.25479.28.191.2558,190
23179.28.192.0/1979.28.192.1 to 79.28.223.25479.28.223.2558,190
23279.28.224.0/1979.28.224.1 to 79.28.255.25479.28.255.2558,190
23379.29.0.0/1979.29.0.1 to 79.29.31.25479.29.31.2558,190
23479.29.32.0/1979.29.32.1 to 79.29.63.25479.29.63.2558,190
23579.29.64.0/1979.29.64.1 to 79.29.95.25479.29.95.2558,190
23679.29.96.0/1979.29.96.1 to 79.29.127.25479.29.127.2558,190
23779.29.128.0/1979.29.128.1 to 79.29.159.25479.29.159.2558,190
23879.29.160.0/1979.29.160.1 to 79.29.191.25479.29.191.2558,190
23979.29.192.0/1979.29.192.1 to 79.29.223.25479.29.223.2558,190
24079.29.224.0/1979.29.224.1 to 79.29.255.25479.29.255.2558,190
24179.30.0.0/1979.30.0.1 to 79.30.31.25479.30.31.2558,190
24279.30.32.0/1979.30.32.1 to 79.30.63.25479.30.63.2558,190
24379.30.64.0/1979.30.64.1 to 79.30.95.25479.30.95.2558,190
24479.30.96.0/1979.30.96.1 to 79.30.127.25479.30.127.2558,190
24579.30.128.0/1979.30.128.1 to 79.30.159.25479.30.159.2558,190
24679.30.160.0/1979.30.160.1 to 79.30.191.25479.30.191.2558,190
24779.30.192.0/1979.30.192.1 to 79.30.223.25479.30.223.2558,190
24879.30.224.0/1979.30.224.1 to 79.30.255.25479.30.255.2558,190
24979.31.0.0/1979.31.0.1 to 79.31.31.25479.31.31.2558,190
25079.31.32.0/1979.31.32.1 to 79.31.63.25479.31.63.2558,190
25179.31.64.0/1979.31.64.1 to 79.31.95.25479.31.95.2558,190
25279.31.96.0/1979.31.96.1 to 79.31.127.25479.31.127.2558,190
25379.31.128.0/1979.31.128.1 to 79.31.159.25479.31.159.2558,190
25479.31.160.0/1979.31.160.1 to 79.31.191.25479.31.191.2558,190
25579.31.192.0/1979.31.192.1 to 79.31.223.25479.31.223.2558,190
25679.31.224.0/1979.31.224.1 to 79.31.255.25479.31.255.2558,190

IPv4 CIDR reference (/0 to /32)

IPv4 prefix lengths
PrefixSubnet maskWildcardAddressesUsable hostsSizeTypical use
/00.0.0.0255.255.255.2554,294,967,2964,294,967,29416,777,216 × /24
/1128.0.0.0127.255.255.2552,147,483,6482,147,483,6468,388,608 × /24
/2192.0.0.063.255.255.2551,073,741,8241,073,741,8224,194,304 × /24
/3224.0.0.031.255.255.255536,870,912536,870,9102,097,152 × /24
/4240.0.0.015.255.255.255268,435,456268,435,4541,048,576 × /24
/5248.0.0.07.255.255.255134,217,728134,217,726524,288 × /24
/6252.0.0.03.255.255.25567,108,86467,108,862262,144 × /24
/7254.0.0.01.255.255.25533,554,43233,554,430131,072 × /24
/8255.0.0.00.255.255.25516,777,21616,777,21465,536 × /24Old class A; 10.0.0.0/8
/9255.128.0.00.127.255.2558,388,6088,388,60632,768 × /24
/10255.192.0.00.63.255.2554,194,3044,194,30216,384 × /24
/11255.224.0.00.31.255.2552,097,1522,097,1508,192 × /24
/12255.240.0.00.15.255.2551,048,5761,048,5744,096 × /24172.16.0.0/12
/13255.248.0.00.7.255.255524,288524,2862,048 × /24
/14255.252.0.00.3.255.255262,144262,1421,024 × /24
/15255.254.0.00.1.255.255131,072131,070512 × /24
/16255.255.0.00.0.255.25565,53665,534256 × /24Old class B; 192.168.0.0/16
/17255.255.128.00.0.127.25532,76832,766128 × /24
/18255.255.192.00.0.63.25516,38416,38264 × /24
/19255.255.224.00.0.31.2558,1928,19032 × /24
/20255.255.240.00.0.15.2554,0964,09416 × /24
/21255.255.248.00.0.7.2552,0482,0468 × /24
/22255.255.252.00.0.3.2551,0241,0224 × /24Large office or guest Wi-Fi (1,022 hosts)
/23255.255.254.00.0.1.2555125102 × /24Larger office LAN (510 hosts)
/24255.255.255.00.0.0.2552562541 × /24Typical office LAN (old class C)
/25255.255.255.1280.0.0.1271281261/2 of a /24Smaller LAN or VLAN
/26255.255.255.1920.0.0.6364621/4 of a /24Smaller LAN or VLAN
/27255.255.255.2240.0.0.3132301/8 of a /24Small VLAN, phones, cameras
/28255.255.255.2400.0.0.1516141/16 of a /24Small VLAN, phones, cameras
/29255.255.255.2480.0.0.7861/32 of a /24Small fixed public block (5 usable)
/30255.255.255.2520.0.0.3421/64 of a /24Point-to-point (old style)
/31255.255.255.2540.0.0.1221/128 of a /24Point-to-point link (RFC 3021)
/32255.255.255.2550.0.0.0111/256 of a /24One host

IPv6 prefix reference

IPv6 prefix lengths
PrefixAddresses/64 LANs/48 sitesNibbleTypical use
/342,535,295,865,117,307,932,921,825,928,971,026,432 (2^125)2,305,843,009,213,693,95235,184,372,088,832NoAll global unicast (2000::/3)
/165,192,296,858,534,827,628,530,496,329,220,096 (2^112)281,474,976,710,6564,294,967,296Yes
/20324,518,553,658,426,726,783,156,020,576,256 (2^108)17,592,186,044,416268,435,456YesLarge provider allocation (RIPE minimum for some)
/29633,825,300,114,114,700,748,351,602,688 (2^99)34,359,738,368524,288NoRIPE allocation to a provider (often)
/3279,228,162,514,264,337,593,543,950,336 (2^96)4,294,967,29665,536YesProvider allocation (RIPE default)
/364,951,760,157,141,521,099,596,496,896 (2^92)268,435,4564,096Yes
/40309,485,009,821,345,068,724,781,056 (2^88)16,777,216256Yes
/4419,342,813,113,834,066,795,298,816 (2^84)1,048,57616Yes
/481,208,925,819,614,629,174,706,176 (2^80)65,5361YesOne site or organisation (RIPE PI / assignment)
/5275,557,863,725,914,323,419,136 (2^76)4,096Yes
/564,722,366,482,869,645,213,696 (2^72)256YesSmall site or home (common provider assignment)
/60295,147,905,179,352,825,856 (2^68)16YesSome home broadband (16 LANs)
/6418,446,744,073,709,551,616 (2^64)1YesOne LAN or VLAN (needed for SLAAC)
/7272,057,594,037,927,936 (2^56)1/256 of a /64Yes
/80281,474,976,710,656 (2^48)1/65,536 of a /64Yes
/964,294,967,2961/4,294,967,296 of a /64YesEmbeds an IPv4 address (NAT64)
/11265,5361/281,474,976,710,656 of a /64Yes
/1202561/72,057,594,037,927,936 of a /64Yes
/124161/1,152,921,504,606,846,976 of a /64Yes
/12641/4,611,686,018,427,387,904 of a /64No
/12721/9,223,372,036,854,775,808 of a /64NoPoint-to-point link (RFC 6164)
/12811/18,446,744,073,709,551,616 of a /64YesOne host or loopback

Private and special ranges

IPv4

Special-purpose ranges
RangeNameWhat it is
255.255.255.255/32Limited broadcastEvery host on the local network
0.0.0.0/8This networkNot routed; 0.0.0.0 means "any address" in settings
10.0.0.0/8Private (RFC 1918)Office and home networks; not routed on the internet
100.64.0.0/10Shared address space (CGNAT)Used by providers behind carrier-grade NAT (RFC 6598)
127.0.0.0/8LoopbackThis computer
169.254.0.0/16Link-local (APIPA)Self-assigned when no DHCP server answers
172.16.0.0/12Private (RFC 1918)Office and home networks; not routed on the internet
192.0.0.0/24IETF protocol assignmentsSpecial uses such as DS-Lite
192.0.2.0/24Documentation (TEST-NET-1)For examples; never used on a network
192.88.99.0/246to4 relay (deprecated)Formerly anycast for 6to4
192.168.0.0/16Private (RFC 1918)Office and home networks; not routed on the internet
198.18.0.0/15BenchmarkingNetwork equipment testing (RFC 2544)
198.51.100.0/24Documentation (TEST-NET-2)For examples; never used on a network
203.0.113.0/24Documentation (TEST-NET-3)For examples; never used on a network
224.0.0.0/4MulticastOne-to-many traffic, such as IPTV and routing protocols
240.0.0.0/4ReservedFuture use; not usable on most systems

IPv6

Special-purpose ranges
RangeNameWhat it is
::/128UnspecifiedNo address; :: means "any address" in settings
::1/128LoopbackThis computer
::ffff:0:0/96IPv4-mappedAn IPv4 address written as IPv6
64:ff9b::/96NAT64IPv4 addresses reached through a NAT64 gateway
100::/64Discard onlyTraffic sent here is dropped (RFC 6666)
2001:db8::/32DocumentationFor examples; never used on a network
2001::/32TeredoIPv6 tunnelled over IPv4 UDP
2002::/166to4IPv6 tunnelled over IPv4 (largely retired)
3fff::/20DocumentationFor examples (RFC 9637)
fc00::/7Unique local (ULA)Private IPv6, like RFC 1918; usually fd00::/8
fe80::/10Link-localEvery IPv6 interface has one; not routed
ff00::/8MulticastOne-to-many traffic; replaces broadcast
2000::/3Global unicastPublic internet addresses